
typedload
Exceptions

Classes
=======

TypedloadException
------------------

    Exception which exposes some extra fields.

    trace:
        It is a list of all the recursive invocations of load(), with the
        parameters used.
        Very useful to locate the issue.
        The annotation is used by complex loaders that call load() more than
        once, to indicate in which step the error occurred.
        For example a list loader will use it to indicate the index which had
        the exception, and a NamedTuple loader will use it to indicate the name
        of the field which generated the exception.

    value:
        contains the value that could not be loaded.

    type_:
        contains the type in which the value could not be loaded.

    exceptions:
        A list of exceptions that happened during the loading.
        This is for now only used by the Union loader, to list all the
        exceptions that occurred during the various attempts.
    
TypedloadValueError
-------------------

    Exception class, subclass of ValueError.
    See the documentation of TypedloadException for more details.
    
TypedloadTypeError
------------------

    Exception class, subclass of TypeError.
    See the documentation of TypedloadException for more details.
    
TypedloadAttributeError
-----------------------

    Exception class, subclass of AttributeError.
    See the documentation of TypedloadException for more details.
    
Annotation
----------
Annotation(annotation_type, value)
TraceItem
---------
TraceItem(value, type_, annotation)